Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dom
Class NamespacePointer

    java.lang.Object
      org.apache.commons.jxpath.ri.model.NodePointer
          org.apache.commons.jxpath.ri.model.dom.NamespacePointer

All Implemented Interfaces:
  Serializable, Cloneable, Comparable, Pointer

    public class NamespacePointer

extends NodePointer

Represents a namespace node.

Version:
  $Revision: 652884 $ $Date: 2008-05-02 15:02:00 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

Constructor Summary
`NamespacePointer(NodePointer parent, String prefix)` Create a new NamespacePointer.
`NamespacePointer(NodePointer parent, String prefix, String namespaceURI)` Create a new NamespacePointer.

Method Summary
`String` | `asPath()` Returns an XPath that maps to this Pointer.
`int` | `compareChildNodePointers(NodePointer pointer1, NodePointer pointer2)` Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.
`boolean` | `equals(Object object)`
`Object` | `getBaseValue()` Returns the value represented by the pointer before indexing.
`Object` | `getImmediateNode()` Returns the object the pointer points to; does not convert it to a "canonical" type.
`int` | `getLength()` If the pointer represents a collection (or collection element), returns the length of the collection.
`QName` | `getName()` Returns the name of this node.
`String` | `getNamespaceURI()` Returns the namespace URI associated with this Pointer.
`int` | `hashCode()`
`boolean` | `isCollection()` Returns `true` if the value of the pointer is an array or a Collection.
`boolean` | `isLeaf()` If true, this node does not have children
`void` | `setValue(Object value)` Throws UnsupportedOperationException.
`boolean` | `testNode(NodeTest nodeTest)` Checks if this Pointer matches the supplied NodeTest.

Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`attributeIterator, childIterator, clone, compareTo, createAttribute, createChild, createChild, createPath, createPath, escape, getAbstractFactory, getDefaultNamespaceURI, getImmediateParentPointer, getImmediateValuePointer, getIndex, getLocale, getNamespaceResolver, getNamespaceURI, getNode, getNodeSetByKey, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, getValuePointer, isActual, isAttribute, isContainer, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, remove, setAttribute, setIndex, setNamespaceResolver, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespacePointer

    public NamespacePointer(NodePointer parent,
                            String prefix)

  Create a new NamespacePointer.

  Parameters:
    `parent` - parent pointer
    `prefix` - associated ns prefix.

### NamespacePointer

    public NamespacePointer(NodePointer parent,
                            String prefix,
                            String namespaceURI)

  Create a new NamespacePointer.

  Parameters:
    `parent` - parent pointer
    `prefix` - associated ns prefix.
    `namespaceURI` - associated ns URI.

Method Detail

### getName

    public QName getName()

  Description copied from class: `NodePointer`
  Returns the name of this node. Can be null.

  Specified by:
    `getName` in class `NodePointer`
  Returns:
    QName

### getBaseValue

    public Object getBaseValue()

  Description copied from class: `NodePointer`
  Returns the value represented by the pointer before indexing. So, if the node represents an element of a collection, this method returns the collection itself.

  Specified by:
    `getBaseValue` in class `NodePointer`
  Returns:
    Object value

### isCollection

    public boolean isCollection()

  Description copied from class: `NodePointer`
  Returns `true` if the value of the pointer is an array or a Collection.

  Specified by:
    `isCollection` in class `NodePointer`
  Returns:
    boolean

### getLength

    public int getLength()

  Description copied from class: `NodePointer`
  If the pointer represents a collection (or collection element), returns the length of the collection. Otherwise returns 1 (even if the value is null).

  Specified by:
    `getLength` in class `NodePointer`
  Returns:
    int

### getImmediateNode

    public Object getImmediateNode()

  Description copied from class: `NodePointer`
  Returns the object the pointer points to; does not convert it to a "canonical" type.

  Specified by:
    `getImmediateNode` in class `NodePointer`
  Returns:
    Object node

### getNamespaceURI

    public String getNamespaceURI()

  Description copied from class: `NodePointer`
  Returns the namespace URI associated with this Pointer.

  Overrides:
    `getNamespaceURI` in class `NodePointer`
  Returns:
    String uri

### isLeaf

    public boolean isLeaf()

  Description copied from class: `NodePointer`
  If true, this node does not have children

  Specified by:
    `isLeaf` in class `NodePointer`
  Returns:
    boolean

### setValue

    public void setValue(Object value)

  Throws UnsupportedOperationException.

  Specified by:
    `setValue` in interface `Pointer`
  Specified by:
    `setValue` in class `NodePointer`
  Parameters:
    `value` - Object

### testNode

    public boolean testNode(NodeTest nodeTest)

  Description copied from class: `NodePointer`
  Checks if this Pointer matches the supplied NodeTest.

  Overrides:
    `testNode` in class `NodePointer`
  Parameters:
    `nodeTest` - the NodeTest to execute
  Returns:
    true if a match

### asPath

    public String asPath()

  Description copied from class: `NodePointer`
  Returns an XPath that maps to this Pointer.

  Specified by:
    `asPath` in interface `Pointer`
  Overrides:
    `asPath` in class `NodePointer`
  Returns:
    String xpath expression

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### compareChildNodePointers

    public int compareChildNodePointers(NodePointer pointer1,
                                        NodePointer pointer2)

  Description copied from class: `NodePointer`
  Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.

  Specified by:
    `compareChildNodePointers` in class `NodePointer`
  Parameters:
    `pointer1` - first pointer to be compared
    `pointer2` - second pointer to be compared
  Returns:
    int per Java comparison conventions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.